package file_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type FileVerifyBatchResultRequest struct {
	// <ext>core:true;format:string</ext>  【批量操作Id】批量操作Id 【作用】  用于查询批量查询签署文档的签名信息的结果，该参数在调用 <docs>/file/verify/batch/start</docs>后的返回参数中获取
	BatchId string `json:"batchId,omitempty"`
}

func (obj FileVerifyBatchResultRequest) GetUrl() string {
	return "/file/verify/batch/result"
}

func (obj FileVerifyBatchResultRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("batchId", obj.BatchId)
	return parameter
}
